Bug 430469 - In-Reply-To: header in archive mailto: link is empty.
In-Reply-To: header in archive mailto: link is empty.
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mailman (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tomas Smetana
: EasyFix, Patch
Depends On: 123768
  Show dependency treegraph
Reported: 2008-01-28 05:50 EST by Tomas Smetana
Modified: 2008-05-21 12:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0416
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 12:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Smetana 2008-01-28 05:50:28 EST
+++ This bug was initially created as a clone of Bug #123768 +++

Description of problem:
See http://canuck.infradead.org/pipermail/linux-mtd/2004-May/009761.html.

Click on the first link -- the mailto: link. Or allow the mouse to
hover over it in your browser or do whatever else you do to see the
link target.

It's as follows:


However, the In-Reply-To: header _should_ have contained the
Message-ID of the mail to which you'd be replying. If you look at the
mbox archive at
http://canuck.infradead.org/pipermail/linux-mtd/2004-May.txt it's
clear that the Message-ID is preserved by the archival process. It
seems to be the code which generates the HTML in the archive which is
at fault.

This breaks threading when using the web archive to reply to the list.

Actually, the Subject line should probably also have 'Re: ' prepended
in the mailto: link too, if the subject doesn't already start with 'Re: '.

This is mailman-2.1.4-4

-- Additional comment from mattdm@mattdm.org on 2005-04-26 12:03 EST --
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

-- Additional comment from dwmw2@redhat.com on 2006-10-05 05:11 EST --
I had a fix for this once; I thought I'd sent it to the mailman folks. I'll try
to dig it out.

-- Additional comment from dwmw2@redhat.com on 2006-10-05 05:23 EST --
Created an attachment (id=137808)

-- Additional comment from dwmw2@redhat.com on 2006-10-05 06:23 EST --
Patch applied to FC-[45] and devel branches.

Do we need to do anything special for RHEL5 or will it inherit from devel?

-- Additional comment from tsmetana@redhat.com on 2007-05-09 09:54 EST --
Fix is present also in RHEL-5.
Comment 1 Tomas Smetana 2008-01-28 05:54:28 EST
Apparently this fix didn't make it to RHEL-5 from Fedora.  I see no reason not
to attach it to the currently processed bugs -- the patch was committed a long
time ago and is present in Fedora.
Comment 2 RHEL Product and Program Management 2008-01-28 05:56:16 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2008-05-21 12:04:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.